From 6819c8c61c7fe2294b132a72c3897dc5cb801c4f Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Mon, 6 Apr 2020 11:28:08 -0500
Subject: [PATCH v1] doc: WAL usage

See also:
6b466bf5f2bea0c89fab54eef696bcfc7ecdafd7
33e05f89c53e5a1533d624046bb6fb0da7bb7141
---
 contrib/pg_stat_statements/pg_stat_statements.c | 2 +-
 doc/src/sgml/pgstatstatements.sgml              | 6 +++---
 doc/src/sgml/ref/explain.sgml                   | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/contrib/pg_stat_statements/pg_stat_statements.c b/contrib/pg_stat_statements/pg_stat_statements.c
index 04abdab904..3bcf34c669 100644
--- a/contrib/pg_stat_statements/pg_stat_statements.c
+++ b/contrib/pg_stat_statements/pg_stat_statements.c
@@ -189,7 +189,7 @@ typedef struct Counters
 	double		blk_write_time; /* time spent writing, in msec */
 	double		usage;			/* usage factor */
 	int64		wal_records;	/* # of WAL records generated */
-	int64		wal_num_fpw;	/* # of WAL full page image records generated */
+	int64		wal_num_fpw;	/* # of WAL full page images generated */
 	uint64		wal_bytes;		/* total amount of WAL bytes generated */
 } Counters;
 
diff --git a/doc/src/sgml/pgstatstatements.sgml b/doc/src/sgml/pgstatstatements.sgml
index 3d26108649..de28016a02 100644
--- a/doc/src/sgml/pgstatstatements.sgml
+++ b/doc/src/sgml/pgstatstatements.sgml
@@ -269,7 +269,7 @@
       <entry><type>numeric</type></entry>
       <entry></entry>
       <entry>
-        Total amount of WAL bytes generated by the statement
+        Total number of WAL bytes generated by the statement
       </entry>
      </row>
 
@@ -278,7 +278,7 @@
       <entry><type>bigint</type></entry>
       <entry></entry>
       <entry>
-        Total count of WAL records generated by the statement
+        Total number of WAL records generated by the statement
       </entry>
      </row>
 
@@ -287,7 +287,7 @@
       <entry><type>bigint</type></entry>
       <entry></entry>
       <entry>
-        Total count of WAL full page writes generated by the statement
+        Total number of WAL full page writes generated by the statement
       </entry>
      </row>
 
diff --git a/doc/src/sgml/ref/explain.sgml b/doc/src/sgml/ref/explain.sgml
index 024ede4a8d..4a9f94d7f8 100644
--- a/doc/src/sgml/ref/explain.sgml
+++ b/doc/src/sgml/ref/explain.sgml
@@ -198,7 +198,7 @@ ROLLBACK;
     <listitem>
      <para>
       Include information on WAL record generation. Specifically, include the
-      number of records, number of full page image records and amount of WAL
+      number of records, number of full page images and number of WAL
       bytes generated.  In text format, only non-zero values are printed.  This
       parameter may only be used when <literal>ANALYZE</literal> is also
       enabled.  It defaults to <literal>FALSE</literal>.
-- 
2.17.0

